Loading...
Searching...
No Matches
casacore::NumericTraits< Float > Class Reference
scimath package (libcasa_scimath) » Mathematics_module

More...

`#include <NumericTraits2.h>`

## Public Types

typedef Complex | ConjugateType
typedef Double | PrecisionType
typedef Float | value_type
| Template argument.
typedef Char | BaseType
| Numeric type.

## Static Public Member Functions

static uInt | size ()
| Number of relevant numeric values.
static void | setImag (Float &, const BaseType &)
| Set the imaginary part of a complex value only (a NOP for reals).
static BaseType | getValue (const Float &, const uInt)
| Get the nsize()-th numeric value.
static void | setValue (Float &, const BaseType &, const uInt)
| Set the nsize()-th numeric value.

## Static Public Attributes

static const Double & | epsilon
static const Double & | minimum
static const Double & | maximum

## Detailed Description

A specialisation for T=Float of the NumericTraits class

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

Definition at line 37 of file NumericTraits2.h.

## Member Typedef Documentation

## BaseType

typedef Char casacore::NumericTraits< Float >::BaseType

Numeric type.

Definition at line 226 of file NumericTraits.h.

## ConjugateType

typedef Complex casacore::NumericTraits< Float >::ConjugateType

Definition at line 39 of file NumericTraits2.h.

## PrecisionType

typedef Double casacore::NumericTraits< Float >::PrecisionType

Definition at line 40 of file NumericTraits2.h.

## value_type

typedef Float casacore::NumericTraits< Float >::value_type

Template argument.

Definition at line 224 of file NumericTraits.h.

## Member Function Documentation

## getValue()

BaseType casacore::NumericTraits< Float >::getValue | ( | const Float & | ,
|  | const uInt | )

inline static

Get the nsize()-th numeric value.

Definition at line 242 of file NumericTraits.h.

## setImag()

void casacore::NumericTraits< Float >::setImag | ( | Float & | ,
|  | const BaseType & | )

inline static

Set the imaginary part of a complex value only (a NOP for reals).

Definition at line 240 of file NumericTraits.h.

## setValue()

void casacore::NumericTraits< Float >::setValue | ( | Float & | ,
|  | const BaseType & | ,
|  | const uInt | )

inline static

Set the nsize()-th numeric value.

Definition at line 244 of file NumericTraits.h.

## size()

uInt casacore::NumericTraits< Float >::size | ( |  | ) |

inline static

Number of relevant numeric values.

Definition at line 238 of file NumericTraits.h.

## Member Data Documentation

## epsilon

const Double& casacore::NumericTraits< Float >::epsilon

static

Definition at line 41 of file NumericTraits2.h.

## maximum

const Double& casacore::NumericTraits< Float >::maximum

static

Definition at line 43 of file NumericTraits2.h.

## minimum

const Double& casacore::NumericTraits< Float >::minimum

static

Definition at line 42 of file NumericTraits2.h.

The documentation for this class was generated from the following file:

- scimath/Mathematics/NumericTraits2.h